aegis -List(1)

NAME
aegis -List - list (possibly) interesting things

SYNOPSIS
aegis -List [ option... ] list-name
aegis -List -List [ option... ]
aegis -List -Help

DESCRIPTION
The aegis -List command is used to list information. There are a number of possible list-names, as follows (abbreviations as for command line options):

Administrators
    List the administrators of a project.

Branch_Details
    List full information about all the changes in the branch in large format. This listing will recurse down the full branch tree.

Change_Details
    List full information about a change in large format.

Change_Files
    List all files in a change. The verbose version includes details such as the action being taken, the edit number of the file, and whether it's being moved. The terse version only lists the files names (and omits removed files), this is useful for shell scripts and interfacing with build tools.

Change_File_History
    This listing shows the history of each file in the change. It includes each delta number (so that you may reproduce it) and brief description, of each change which affected each file.

Change_File_INventory
    This listing shows the filenames and their corresponding UUIDs. When a file is renamed, its UUID remains constant. (If the UUID column has the filename in it, this is a backwards compatibility value, for accessing the file history.)

Change_History
    List the history of a change.

Change_INventory
    List the changes of a project with their UUIDs.

Changes
    List the changes of a project. The verbose version includes details such as the state of the change and it's brief description. The terse version lists only the change numbers, which is good for shell scripts.

Default_Change
    List the default change for the specified user (defaults to the current user if no user specified).

Default_Project
    List the default project for the specified user (defaults to the current user if no user specified).

Developers
    List the developers of a project.

INComplete
    List the changes between the awaiting review and being integrated states, inclusive. Defaults to all users if no user name specified.

Integrators
    List the integrators of a project.

List_List
    List all lists available.

Locks
    List all currently active locks.

Outstanding_Changes
    List all changes owned by the specified user that are not yet completed (default to all users if no user specified).

All_Outstanding_Changes
    List all changes not yet completed, for all projects.

Project_Details
    List full information about all the changes in the project in large format. This listing will recurse down the full branch tree below the project.

Project_Files
    List all files in the baseline of a project. The verbose version includes details such as the action being taken, the edit number of the file. The terse version only lists the files names (and omits removed files), this is useful for shell scripts and interfacing with build tools. If a change number is given, files included in the change are omitted from the list (giving the change's perspective on what the project files are).

Project_File_INventory
    This listing shows the filenames and their corresponding UUIDs. When a file is renamed, its UUID remains constant. (If the UUID column has the filename in it, this is a backwards compatibility value, for accessing the file history.)

Project_History
    List the integration history of a project.

Projects
    List all projects.

Project_Aliases
    List all project aliases. If you use the -Project command line option, the list will only include aliases of the specified project, or the project of the specified alias.

Reviewers
    List the reviewers of a project.

State_File_Name
    Prints the absolute path of the project's or change's state file. Useful for cookbooks and makefiles.

Users_Changes
    List of changes owned by the specified user (defaults to current user if no user specified).

Version
    List version of a project or change. This includes the major and minor version number, and the previous version number if available. The list of copyright years is also printed.

Most of these lists are available from other aegis functions. Many aegis functions provide more specific lists.

OPTIONS
The following options are understood:

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-Help
    This option may be used to obtain more information about how to use the aegis program.

-List
    This option may be used to obtain a list of suitable subjects for this command. The list may be more general than expected.

-PAGer
    The output of listings and help is piped through the pager command given in the PAGER environment variable (or more if not set). This is the default if the command is in the foreground, and the output is a TTY. This option may be used to override any preference specified in the aeuconf(5) file.

-No_PAGer
    This option may be used to ensure that the output of listings and help is not piped through a pager command. This is the default if the command is in the background, or if the output is not a TTY. This option may be used to override any preference specified in the aeuconf(5) file.

-Page_Length number
    This option may be used to set the page length of listings. The default, in order of preference, is obtained from the system, from the LINES environment variable, or set to 24 lines.

-Page_Width number
    This option may be used to set the page width of listings and error messages. The default, in order of preference, is obtained from the system, from the COLS environment variable, or set to 79 characters.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-TERse
    This option may be used to cause listings to produce the bare minimum of information. It is usually useful for shell scripts.

-UNFormatted
    This option may be used with most listings to specify that the column formatting is not to be performed. This is useful for shell scripts.

-Page-Header
    This option requests that page headings be present in listings and reports. This is the default.

-No-Page-Header
    This option requests that page headings be omitted from listings and reports.

-Verbose
    This option may be used to cause aegis to produce more output. By default aegis only produces output on errors. When used with the -List option this option causes column headings to be added.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aegis are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

RECOMMENDED ALIAS
The recommended alias for this command is
csh%	alias ael 'aegis -l \!* -v'
sh$	ael(){aegis -l "$@" -v}

ERRORS
It is an error if the list name given is unknown.

EXIT STATUS
The aegis command will exit with a status of 1 on any error. The aegis command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

aedb(1)
    begin development of a change (listing option)

aeib(1)
    begin integration of a change (listing option)

aelcf(1)
    list change files

aelpf(1)
    list project files

aer(1)
    report generator

aerpass(1)
    pass review of a change (listing option)

aeuconf(5)
    user configuration file format

aels(1)
    annotated directory listing

COPYRIGHT
aegis version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aegis program comes with ABSOLUTELY NO WARRANTY; for details use the 'aegis -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aegis -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/